<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Insert Material Icon and FontAwesome icons dynamically in Flutter app when the icons are not known at compile time.

The version of font_awesome icons is: 6.1.0

## Features

TODO: List what your package can do. Maybe include images, gifs, or videos.

## Getting started

TODO: List prerequisites and provide or point to information on how to
start using the package.

## Usage

Add dynamic_icons to pubspec.yaml
All icons namse should be in the same format you can find on https://api.flutter.dev/flutter/material/Icons-class.html and fontawesome.com  (e.g. add)

```dart
import 'package:dynamic_icons/dynamic_icons.dart';

class MyWidget extends StatelessWidget {
  Widget build(BuildContext context) {
    return IconButton(
      // Use the FaIcon Widget + DynamicFaIcons class for the IconData
        icon: DynamicIcons.getIconFromName("pizza-slice"),
        onPressed: () {
          print("Pressed");
        }
    );
  }
}
```

## Additional information

References

    https://pub.dev/packages/font_awesome_flutter


